import subprocess

is_voxl_cache = None

def is_voxl() -> bool:
    global is_voxl_cache
    if is_voxl_cache is not None:
        return is_voxl_cache
    try:
        ret = subprocess.check_output(['voxl-platform'])
        is_voxl_cache = True
    except FileNotFoundError:
        is_voxl_cache = False

    return is_voxl_cache


# Print message 
def _print(msg: str) -> None:
	"""
	Print message and handle quiet mode

	@msg: Message to be printed.
	"""
	if not QUIET:
		print(msg)


# Read a line from a file
def read_file_line(filename: str) -> str:
    """
    Reads a line from a file

    @filename: path of file to read
    @return: file content
    """ 
    if not os.path.exists(filename):
        return None
    
    with open(filename) as f:
        content = f.read().strip()
        return content


# Trim SKU for just info we want
def format_sku(sku: str) -> str:
	"""
	Reads a sku and only grabs drone and version #

	@sku: Full sku name from /data/modalai.sku.txt
	@return: Sku formatted for only relevant information
	"""
	split_sku = sku.split('-')

	return '-'.join([split_sku[0], split_sku[1] ,split_sku[3]])
